using Sandbox;

namespace VeloX;

public partial class VeloXWheel
{
	[Property] float BrakePowerMax { get; set; } = 3000;
	[Property, Group( "Suspension" )] float SuspensionLength { get; set; } = 10;
	[Property, Group( "Suspension" )] float SpringStrength { get; set; } = 800;
	[Property, Group( "Suspension" )] float SpringDamper { get; set; } = 3000;

	[Property, Group( "Traction" )] float ForwardTractionMax { get; set; } = 2600;
	[Property, Group( "Traction" )] float SideTractionMultiplier { get; set; } = 20;
	[Property, Group( "Traction" )] float SideTractionMaxAng { get; set; } = 25;
	[Property, Group( "Traction" )] float SideTractionMax { get; set; } = 2400;
	[Property, Group( "Traction" )] float SideTractionMin { get; set; } = 800;

}
